!container
name: logstash_container
version: 6.4.0
tag: STD
image: rnd.hsnc.co.kr/logstash:6.4.0
title: logstash 6.4.0
user: root
volumes:
  /usr/share/logstash/data: ${DataVolumePrefix}
  /usr/share/logstash/config: ${ConfVolumePrefix + '_conf'}
  /usr/share/logstash/pipeline: ${ConfVolumePrefix + '_pipe'}
runOpts:
  net: host
  cmd:
    - --pipeline.id
    - ${hostname + '_' + NodeName}
    - --node.name
    - ${NodeName}
    - -f
    - ${'/usr/share/logstash/pipeline/' + PipelineFile}